> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an end user entity attribute



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_user_entities/{entity_heron_id}/attributes
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_entities/{entity_heron_id}/attributes:
    post:
      tags:
        - EndUserEntity
      summary: Create an end user entity attribute
      parameters:
        - in: path
          name: entity_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEndUserEntityAttributeSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserEntityAttributeSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateEndUserEntityAttributeSchema:
      properties:
        attribute_description:
          type: string
        attribute_name:
          type: string
        attribute_type:
          enum:
            - float
            - int
            - decimal
            - string
            - date
            - datetime
            - bool
        display_order:
          type: integer
        is_dedupe_key:
          default: false
          type: boolean
        reconciliation_config:
          additionalProperties: {}
          type: object
        reconciliation_strategy:
          enum:
            - sort_order
            - llm
            - comparison
            - concatenate_lists
      required:
        - attribute_name
      type: object
    EndUserEntityAttributeSchema:
      properties:
        attribute_description:
          type: string
        attribute_name:
          type: string
        attribute_type:
          enum:
            - float
            - int
            - decimal
            - string
            - date
            - datetime
            - bool
        display_order:
          type: integer
        heron_id:
          type: string
        is_dedupe_key:
          default: false
          type: boolean
        reconciliation_config:
          additionalProperties: {}
          type: object
        reconciliation_strategy:
          enum:
            - sort_order
            - llm
            - comparison
            - concatenate_lists
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````